This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 607293 - (CVE-2010-2244) CVE-2010-2244 avahi: assertion failure after receiving a packet with corrupted checksum
CVE-2010-2244 avahi: assertion failure after receiving a packet with corrupte...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100623,reported=20100623,sou...
: Security
Depends On: 607296 607297 609318 609319 833873
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 13:54 EDT by Jan Lieskovsky
Modified: 2015-10-15 17:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 10:14:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch by Ludwig Nussel (from [1]) (1.17 KB, patch)
2010-06-23 13:58 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2010-06-23 13:54:27 EDT
Ludwig Nussel reported:
  [1] http://www.openwall.com/lists/oss-security/2010/06/23/4

a deficiency in the way avahi daemon processed packets with corrupted 
checksum(s). A remote attacker on the same local are network (LAN)
could send a DNS packet with broken checksum, that would cause avahi-daemon
to exit unexpectedly due to a failed assertion check. Different vulnerability
than CVE-2008-5081.
Comment 1 Jan Lieskovsky 2010-06-23 13:58:18 EDT
Created attachment 426335 [details]
Proposed patch by Ludwig Nussel (from [1])
Comment 3 Jan Lieskovsky 2010-06-23 14:00:13 EDT
Created avahi tracking bugs for this issue

Affects: fedora-all [bug 607297]
Comment 4 Vincent Danen 2010-06-28 12:03:25 EDT
This has been assigned CVE-2010-2244.
Comment 5 Vincent Danen 2010-06-28 12:05:53 EDT
Lennart, have you had a chance to review the patch Ludwig provided to fix this yet?
Comment 6 Jan Lieskovsky 2010-06-29 11:42:19 EDT
This issue affects the version of the avahi package, as shipped
with Red Hat Enterprise Linux 5.

This issue affects the versions of the avahi package, as shipped
with Fedora releases of 12 and 13.
Comment 7 Jan Lieskovsky 2010-06-29 11:44:53 EDT
Lennart, any reaction to c#5?

Thanks, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 8 Lennart Poettering 2010-06-29 16:34:34 EDT
Yes, the patch is good and merged upstream. I also did a new release upstream with this patch included, and uploaded that to Rawhide.
Comment 10 Fedora Update System 2010-06-29 20:08:12 EDT
avahi-0.6.25-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/avahi-0.6.25-7.fc13
Comment 11 Fedora Update System 2010-06-29 20:21:36 EDT
avahi-0.6.25-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/avahi-0.6.25-7.fc12
Comment 12 Lennart Poettering 2010-06-29 21:07:49 EDT
commited and built for rhel 5.5.z and rhel 5.6 now.
Comment 13 Lennart Poettering 2010-06-29 21:14:27 EDT
nvr are as follows:

rhel5.5.z: avahi-0.6.16-9.el5.5

rhel5.6: avahi-0.6.16-9.el5
Comment 16 Lennart Poettering 2010-06-29 22:35:44 EDT
i uploaded a fix for rhel6 now too.
Comment 18 Fedora Update System 2010-07-06 13:23:08 EDT
avahi-0.6.25-7.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-07-06 13:26:54 EDT
avahi-0.6.25-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 errata-xmlrpc 2010-07-13 13:49:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0528 https://rhn.redhat.com/errata/RHSA-2010-0528.html

Note You need to log in before you can comment on or make changes to this bug.